com.taosdata.jdbc.ws.tmq.meta

## Class ChildTableInfo

- java.lang.Object
- - com.taosdata.jdbc.ws.tmq.meta.Meta
  - - com.taosdata.jdbc.ws.tmq.meta.ChildTableInfo

    public class ChildTableInfo
    extends Meta

### Constructor Summary

Constructors
Constructor and Description
`ChildTableInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getTagNum()`
`List<Tag>` `getTags()`
`String` `getUsing()`
`void` `setTagNum(int tagNum)`
`void` `setTags(List<Tag> tags)`
`void` `setUsing(String using)`

### Methods inherited from class com.taosdata.jdbc.ws.tmq.meta.Meta

`equals, getTableName, getTableType, getType, hashCode, setTableName, setTableType, setType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChildTableInfo

    public ChildTableInfo()

### Method Detail

#### getUsing

    public String getUsing()

#### setUsing

    public void setUsing(String using)

#### getTagNum

    public int getTagNum()

#### setTagNum

    public void setTagNum(int tagNum)

#### getTags

    public List<Tag> getTags()

#### setTags

    public void setTags(List<Tag> tags)